package com.microservices.pms.project.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.microservices.common.core.annotation.Excel;
import com.microservices.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 测试报告对象 pms_project_test_report
 *
 * @author wanjia
 * @date 2023-12-14
 */
public class PmsProjectTestReport extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 测试报告id */
    private Long id;

    /** 项目ID */
    @Excel(name = "项目ID")
    private Long pmsProjectId;

    /** 测试报告名称 */
    @Excel(name = "测试报告名称")
    private String name;

    /** 测试报告总结 */
    @Excel(name = "测试报告总结")
    private String summary;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "测试开始时间")
    private Date startTime;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "测试结束时间", hidden = true)
    private Date endTime;

    @ApiModelProperty(value = "测试报告负责人id")
    private Long reportAssigneeId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPmsProjectId(Long pmsProjectId)
    {
        this.pmsProjectId = pmsProjectId;
    }

    public Long getPmsProjectId()
    {
        return pmsProjectId;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setSummary(String summary)
    {
        this.summary = summary;
    }

    public String getSummary()
    {
        return summary;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Long getReportAssigneeId() {
        return reportAssigneeId;
    }

    public void setReportAssigneeId(Long reportAssigneeId) {
        this.reportAssigneeId = reportAssigneeId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("pmsProjectId", getPmsProjectId())
            .append("name", getName())
            .append("summary", getSummary())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("reportAssigneeId", getReportAssigneeId())
            .toString();
    }
}
